import {EventEmitter2} from 'eventemitter2';
import {CallLogEntry} from './CallLogEntry';

/**
 * Manages the contacts and groups which they belongs to CallLogManager
 * instance is obtained by calling the {Session#getCallLogManager} method.
 */
export class CallLog {
	emitter: EventEmitter2;
	lastRecoveredTimestamp: any;

	/**
	 * Fetch more callLog entries.
	 */
	fetch(limit: number): Promise<void>;

	/**
	 * Retrieves a CallLog by given its ID.
	 */
	getById(id: string): CallLog;

	/**
	 * Obtains the list with the available CallLog items.
	 */
	getEntries(): CallLogEntry[];
}
