import * as Immutable from 'immutable';
import {EventEmitter2} from 'eventemitter2';
import {Chat} from './Chat';
import {ContextInfo} from '../types';

export interface PushConfig {
	jid: string;
	type: 'fcm' | 'apn';
	token: string;
}

export declare class ChatManager {
	emitter: EventEmitter2;
	createChat(name?: string, subject?: string): Promise<Chat>;
	disablePushNotifications(): Promise<void>;
	enablePushNotifications(): Promise<void>;
	getChats(): Immutable.List<Chat>;
	getConferenceChats(): Immutable.List<Chat>;
	getSupportChats(): Immutable.List<Chat>;
	getGroupChat(): Chat;
	getIndividualChat(participant: string): Chat;
	setPushConfig(config: PushConfig): void;
	sync(): Promise<void>;
	createSupportChat(contextInfo?: ContextInfo): Promise<Chat>;
}
