import { BehaviorSubject, Observable } from 'rxjs';
import { ConferenceLogEntry } from './ConferenceLogEntry';
import { ConferenceLogService } from '../wac-proxy/wac-stack/conference-log/ConferenceLogService';
/**
 * This class allows access to the conference log. To obtain an instance of the
 * class @link {ConferenceManager#getConferenceLog} method must be used.
 */
export declare class ConferenceLog {
    private conferenceLogService;
    entries$: Observable<readonly ConferenceLogEntry[]>;
    /** @deprecated Use entries$ observable */
    emitter: any;
    entriesSubject: BehaviorSubject<readonly ConferenceLogEntry[]>;
    /** @deprecated Use entriesSubject */
    private entries;
    constructor(conferenceLogService: ConferenceLogService);
    /**
     * Fetches more conference log entries.
     * @param [limit=10] The number of new entries to be fetched at most
     * @returns When resolved, the update was completed and get the new conference log objects.
     * The return value is deprecated and will be remove in the future
     */
    fetch(limit?: number): Promise<readonly ConferenceLogEntry[]>;
    private getLastEntryTimestamp;
    /**
     * Allows access to the list of conferences
     * @deprecated Use entries$ observable
     */
    getEntries(): ConferenceLogEntry[];
}
