/* eslint-disable @typescript-eslint/explicit-member-accessibility */

import {EventEmitter2} from 'eventemitter2';
import {User} from '../session/User';
import {UserManager} from '../users/UserManager';
import {WacProxy} from '../wac-proxy/WacProxy';
import {Conference} from './Conference';
import {ConferenceLog} from './ConferenceLog';

export declare class ConferenceManager {
	emitter: EventEmitter2;
	static newInstance(wacProxy: WacProxy, userManager: UserManager): ConferenceManager;
	createConference(options?: {recording?: boolean}): Promise<Conference>;
	getConferenceLog(): ConferenceLog;
	getDefaultMediaConstraints(): MediaStreamConstraints;
	setDefaultMediaConstraints(defaultMediaConstraints: MediaStreamConstraints): void;
	getCurrentInvitations(): Promise<Conference[]>;
	getConferenceByUri(uri: string): Promise<Conference>;
	getMeetingConference(meetingId: string, password?: string): Promise<Conference>;
	getQuickConference(conferenceId: string): Promise<Conference>;
}

export interface CallRequest {
	remoteUser: User;
	to: string;
	type: 'outgoing';
	Type: object;
	hasLocalVideo(): boolean;
	on(event: string, callback: (param: any) => void): void;
	off(event: string, callback: (param: any) => void): void;
	_disconnect(): void;
	_connect(): Promise<{code: number}>;
}
