import {EventEmitter2} from 'eventemitter2';
import {PresenceActivity} from './PresenceActivity';
import {PresenceMood} from './PresenceMood';

export declare class Presence extends EventEmitter2 {
	/**
	 * Represents the different status of an user.
	 */
	ACTIVITY: any;

	/**
	 * Represents the different emotional states of an user.
	 */
	MOOD: any;

	/**
	 * User activity.
	 */
	activity: PresenceActivity;

	/**
	 * Address associated with this presence.
	 */
	address: string;

	/**
	 * Avatar location.
	 */
	avatar: string;

	/**
	 * Display name.
	 */
	displayName: string;

	/**
	 * User emotional state.
	 */
	mood: PresenceMood;

	/**
	 * Short message defined by user.
	 */
	note: string;

	/**
	 * User is online.
	 */
	online: boolean;

	waitUntilSynced(): Promise<void>;
}
