import { Observable } from 'rxjs';
import { Resolver } from '../wac-proxy/wac-stack/resolver/Resolver';
import { User } from './User';
import { PresenceService } from '../wac-proxy/wac-stack/presence/PresenceService';
/**
 * Allows retrieving users. An instance of this class must be obtained using
 * {@link Session.getUserRepository}
 */
export declare class UserRepository {
    private resolver;
    private presenceService;
    private users$;
    private requestSubscriptionSubject;
    private currentSubscriptions;
    constructor(resolver: Resolver, presenceService: PresenceService);
    /**
     * Allows obtaining a representation of any user of the system
     * @param userId The id of the requested user
     * @returns An observable emitting a representation of the user with the provided ID as soon
     * as it is available and, subsequently, all the updates that occur in any of its properties.
     */
    getUser$(userId: string): Observable<User>;
    /**
     * Allows obtaining a representation of any user of the system
     * @param address The address of the requested user
     * @returns An observable emitting a representation of the user with the provided ID as soon
     * as it is available and, subsequently, all the updates that occur in any of its properties.
     */
    getUserByAddress$(address: string): Observable<User>;
    private getActions;
}
