import EventEmitter from 'eventemitter3';
declare type Action = () => Promise<void>;
interface IntervalEvents {
    error: [Error];
}
export declare type IntervalId = ReturnType<typeof setInterval>;
export interface Scheduler {
    setInterval(handler: () => void, timeout: number): IntervalId;
    clearInterval(handlerId: IntervalId): void;
}
export declare class EventInterval {
    emitter: EventEmitter<IntervalEvents>;
    private handler?;
    private action;
    private interval;
    private scheduler;
    constructor(action: Action, interval: number, scheduler: Scheduler);
    run(): void;
    private clear;
    stop(): void;
}
export {};
