import { EventEmitter2 } from 'eventemitter2';
import { WapiClient, WapiEvent } from '@quobis/wapi-client';
import { Observable } from 'rxjs';
declare type HttpVerbs = 'GET' | 'POST' | 'PUT' | 'DELETE';
interface RequestOptions {
    url: string;
    method?: HttpVerbs;
    qs?: Record<string, any>;
    body?: Record<string, any>;
}
/** @deprecated Use observable instead */
export interface RequestEvent<T = Record<string, any>> {
    method: HttpVerbs;
    path: string;
    body: T;
}
export declare class WacRequest {
    /** @deprecated Use observable instead */
    emitter: EventEmitter2;
    serverEvents$: Observable<WapiEvent>;
    private wapi;
    constructor(wapiClient: WapiClient);
    init(url: string, token: string): void;
    uninit(): void;
    private onWapiEvent;
    request<T>(options: RequestOptions): Promise<T>;
    get<T>(url: string, qs?: Record<string, any>): Promise<T>;
    post<T>(url: string, qs?: Record<string, any>, body?: Record<string, any>): Promise<T>;
    put<T>(url: string, qs?: Record<string, any>, body?: Record<string, any>): Promise<T>;
    delete<T>(url: string, qs?: Record<string, any>, body?: Record<string, any>): Promise<T>;
}
export {};
